# À vous d'exposer :
# 1. Les IPs internes de toutes les instances
# 2. L'IP publique du frontend
# 3. Les noms des instances

output "frontend_internal_ip" {
    value = google_compute_instance.frontend.network_interface[0].network_ip
}


output "backend_internal_ip" {
    value = google_compute_instance.backend.network_interface[0].network_ip
}


output "database_internal_ip" {
    value = google_compute_instance.database.network_interface[0].network_ip
}


output "frontend_public_ip" {
    value = google_compute_instance.frontend.network_interface[0].access_config[0].nat_ip
}


output "instance_names" {
    value = [
        google_compute_instance.frontend.name,
        google_compute_instance.backend.name,
        google_compute_instance.database.name
    ]
}